org.eclipse.january.dataset

## Class BroadcastSelfIterator

- java.lang.Object
- - org.eclipse.january.dataset.IndexIterator
  - - org.eclipse.january.dataset.BroadcastIteratorBase
    - - org.eclipse.january.dataset.BroadcastSelfIterator

- Direct Known Subclasses:
    BroadcastSingleIterator, ContiguousSingleIterator

      public abstract class BroadcastSelfIterator
      extends BroadcastIteratorBase

  Base class for broadcast iterators where the second dataset could be broadcast to the first and it is also read into either bLong or bDouble fields. For speed, there are public members. Note, index is not updated

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.january.dataset.BroadcastIteratorBase

      `aDataset, aIndex, asDouble, bDataset, bDouble, bIndex, bLong, maxShape, pos, read`

    - ### Fields inherited from class org.eclipse.january.dataset.IndexIterator

      `index`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BroadcastSelfIterator(Dataset a, Dataset b)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BroadcastSelfIterator` | `createIterator(Dataset a, Dataset b)`
    `protected void` | `storeCurrentValues()` Read and store current values

    - ### Methods inherited from class org.eclipse.january.dataset.BroadcastIteratorBase

      `getPos, getShape, isOutputDouble, setOutputDouble`

    - ### Methods inherited from class org.eclipse.january.dataset.IndexIterator

      `hasNext, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BroadcastSelfIterator

          protected BroadcastSelfIterator(Dataset a,
                               Dataset b)

  - ### Method Detail

    - #### createIterator

          public static BroadcastSelfIterator createIterator(Dataset a,
                                             Dataset b)

    - #### storeCurrentValues

          protected void storeCurrentValues()

      Description copied from class: `BroadcastIteratorBase`
      Read and store current values
      Specified by:
        `storeCurrentValues` in class `BroadcastIteratorBase`

Copyright © 2017. All rights reserved.